#include "test_producer_consumer.h"

int main(int argc, char *argv[])
{
    spdlog::set_level(spdlog::level::info);
    auto producerSocket = make_pair_socket();

    if (int res = nng_listen(producerSocket, "tcp6://*:41234", nullptr, 0))
        mnode_nng_fatal("nng_listen tcp", res);

    producer(producerSocket);

    if (int res = nng_close(producerSocket))
        mnode_nng_fatal("nng_close", res);

    return 0;
}
